Skip to main content
GET
/
earn
/
actions
TypeScript
const response: Promise<FireblocksResponse<GetActionsResponse>> = fireblocks.earnBeta.getEarnActions(earnBetaApiGetEarnActionsRequest);
{
  "data": [
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "status": "IN_PROGRESS",
      "providerId": "MORPHO",
      "actionType": "DEPOSIT",
      "opportunityId": "morpho-usdc-vault-1",
      "amount": "1500.5",
      "createdAt": "2025-01-15T10:00:00Z",
      "updatedAt": "2025-03-20T08:30:00Z",
      "records": [
        {
          "actionType": "APPROVE",
          "status": "COMPLETED",
          "txId": "tx_abc123",
          "txHash": "0xabc...",
          "updatedAt": "2025-03-20T08:29:00Z"
        }
      ]
    }
  ],
  "total": 1,
  "next": "",
  "prev": ""
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Cursor for the next or previous page of results.

pageSize
integer<int32>
default:100

Number of items per page (default 100, max 100).

Required range: 1 <= x <= 100
sortBy
enum<string>

Field to sort results by.

Available options:
createdAt,
updatedAt
order
enum<string>
default:DESC

Sort order (ASC or DESC).

Available options:
ASC,
DESC
Example:

"ASC"

Response

OK

data
object[]
required

Page of lending actions for this query.

Example:
[
  {
    "id": "660e8400-e29b-41d4-a716-446655440001",
    "status": "IN_PROGRESS",
    "providerId": "MORPHO",
    "actionType": "DEPOSIT",
    "opportunityId": "morpho-usdc-vault-1",
    "amount": "1500.5",
    "createdAt": "2025-01-15T10:00:00Z",
    "updatedAt": "2025-03-20T08:30:00Z",
    "records": [
      {
        "actionType": "APPROVE",
        "status": "COMPLETED",
        "txId": "tx_abc123",
        "txHash": "0xabc...",
        "updatedAt": "2025-03-20T08:29:00Z"
      }
    ]
  }
]
total
integer<int32>
required

Total number of items matching the query.

Example:

1

next
string

Opaque cursor for the next page; empty when there is no next page.

Example:

""

prev
string

Opaque cursor for the previous page; empty when there is no previous page.

Example:

""